#!/usr/bin/env groovy
pipeline {
  agent any

  stages {
    stage('Build') {
        steps {
            sh './ci/build.sh'
        }
    }
    stage('GenImg') {
        steps {
            sh './ci/gen-image.sh'
        }
    }
    stage('Confirm') {
        steps {
            input('Do you want to deploy?')
        }
     }
    stage('Deploy') {
        steps {
           sh './ci/deploy.sh'
        }
    }

  }
}